Core dump analysis

Get core dump analysis registers

GET
/workspaces/{workspaceId}/core-dumps/{coreDumpId}/analyses/{analysisId}/registers

Authorization

API key Core dumps: read
AuthorizationBearer <token>

API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.

In: header

Scope: Core dumps: read

Path Parameters

workspaceId*string
Formatuuid
coreDumpId*string
analysisId*string

Query Parameters

threadIndex?|
Match^-?(?:0|[1-9]\d*)$
Formatint32
frameLevel?|
Match^-?(?:0|[1-9]\d*)$
Formatint32

Response Body

application/json

curl -X GET "https://example.com/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/core-dumps/string/analyses/string/registers"
{  "coreDumpId": "string",  "analysisId": "string",  "status": "Ready",  "data": null,  "reason": null,  "retryAfterSeconds": null}